SKB_POSTPULL_RCSUM(9)

NAME
skb_postpull_rcsum - update checksum for received skb after pull

SYNOPSIS

void skb_postpull_rcsum(struct sk_buff * skb, const void * start, unsigned int len);

ARGUMENTS

skb
    buffer to update

start
    start of data before pull

len
    length of data pulled

DESCRIPTION

After doing a pull on a received packet, you need to call this to update the CHECKSUM_COMPLETE checksum, or set ip_summed to CHECKSUM_NONE so that it can be recomputed from scratch.

COPYRIGHT